libzypp: zypp::json::detail Namespace Reference

libzypp 17.38.15

zypp::json::detail Namespace Reference

## Classes
class | Parser

## Functions
std::string | strEncode (std::string val_r)
static bool | isWhiteSpace (const char ch)
zyppng::expected< Number > | numberFromString (const std::string &str)
| fromString helpers — only callable from within the tokeniser.
zyppng::expected< Int > | intFromString (const std::string &str)
zyppng::expected< UInt > | uintFromString (const std::string &str)

## Variables
constexpr std::string_view | TOK_NAMES [Parser::Token::TOK_COUNT]

## Function Documentation

## ◆ strEncode()

std::string zypp::json::detail::strEncode | ( | std::string | val_r | ) |
| inline

Definition at line 21 of file JsonString.h.

## ◆ isWhiteSpace()

bool zypp::json::detail::isWhiteSpace | ( | const char | ch | ) |
| static

Definition at line 32 of file jsonparser_p.cc.

## ◆ numberFromString()

zyppng::expected< Number > zypp::json::detail::numberFromString | ( | const std::string & | str | ) |
| inline

fromString helpers — only callable from within the tokeniser.

Moved here from JsonNumber.h to keep NG includes out of public headers.

Definition at line 30 of file jsonparser_p.h.

## ◆ intFromString()

zyppng::expected< Int > zypp::json::detail::intFromString | ( | const std::string & | str | ) |
| inline

Definition at line 37 of file jsonparser_p.h.

## ◆ uintFromString()

zyppng::expected< UInt > zypp::json::detail::uintFromString | ( | const std::string & | str | ) |
| inline

Definition at line 44 of file jsonparser_p.h.

## Variable Documentation

## ◆ TOK_NAMES

std::string_view zypp::json::detail::TOK_NAMES[Parser::Token::TOK_COUNT]
| constexpr

Initial value:
= {
"TOK_STRING",
"TOK_NUMBER_FLOAT",
"TOK_NUMBER_UINT",
"TOK_NUMBER_INT",
"TOK_BOOL_TRUE",
"TOK_BOOL_FALSE",
"TOK_NULL",
"TOK_LSQUARE_BRACKET",
"TOK_RSQUARE_BRACKET",
"TOK_LCURLY_BRACKET",
"TOK_RCURLY_BRACKET",
"TOK_COMMA",
"TOK_COLON",
"TOK_END"
}

Definition at line 15 of file jsonparser_p.cc.